Subject: bug#9767: 24.0.90; gdb initialization on Cygwin

From: Ken Brown <[email-masked]>
Date: Wed, 19 Oct 2011 22:11:54 -0400

On 10/19/2011 6:02 PM, Eli Zaretskii wrote:
>> From: Andreas Schwab<[email-masked]>
>> Cc: Eli Zaretskii<[email-masked]>,  [email-masked]
>> Date: Wed, 19 Oct 2011 23:03:23 +0200
>>
>> Ken Brown<[email-masked]>  writes:
>>
>>> No, wait_reading_process_output treats EINTR as though it meant there's no
>>> input available.
>>
>> Which is correct because an interrupted select does not report anything.
>> And then the loop will be restarted to call select again.
>
> Yes, that's what I thought should be happening.  Sorry if that was
> unclear.

You were clear.  I was the one who muddied the waters by misreading the 
code, and Andreas correctly pointed out that I was wrong.

> So the question is still why no input is being reported, although
> wait_reading_process_output should loop and call `select' again.

Yes, that's the question.  I'll have to go back to my debugging.

Ken